Well my Acekard2 is on it's way to me

Discussion in 'Acekard' started by Nimbus, Jan 11, 2010.

  1. Nimbus
    OP

    Nimbus sudo /usr/bin make-me-a-coffee --nosugar --cream=1

    Member
    913
    40
    Nov 1, 2009
    Probably being lazy.
    So you people at GBATEMP have managed to indirectly convince me to get another flashcart (Even if you really did nothing to influence me to get one).

    I decided on an Acekard2 (Quite frankly, Kickgaming was out of the Acekard2i, and I have no intention at all of ever getting a DSi).

    Originally back a year or two ago I had heard some bad things about these. However I have the foresight to look past all of these and consider that maybe the users were at fault.

    So, my question is, was my foresight right. Or are there still huge issues with these. Please tell me they don't still have the infamous FAT error issues from awhile ago.

    Not that it matters anyway, I'm sure I'll still enjoy my Acekard either way, and yes Normatt, I will be using your famous AKAIO firmware. I've heard good things about it.
     


  2. david432111

    david432111 GBAtemp Advanced Fan

    Member
    859
    0
    Jul 17, 2008
    Denmark
    Funny you should mention that....
    There's currently a huge problem with the latest batch of Acekard 2's.
    Most of them won't save and the few that do will only do it on an old firmware.
    I have one that's on the way to me, I'll be getting ready to RMA it as soon as it gets here. [​IMG]
    To be fair, this is the first "big" bad batch there's been since the ones that had the FAT error.
     
  3. Nimbus
    OP

    Nimbus sudo /usr/bin make-me-a-coffee --nosugar --cream=1

    Member
    913
    40
    Nov 1, 2009
    Probably being lazy.
    Well...I'll keep that in mind.


    Still, I'd like to give them the benefit of the doubt, so I'll be using my already prepared 4gb Sandisk Micro SD card to test it out. If I have issues, then I'll return it. Otherwise, I won't.

    Besides, would the fact that I am going to be using AKAIO 1.5.1 make any difference?
     
  4. antisniperspy

    antisniperspy Member

    Newcomer
    31
    0
    Dec 15, 2009
    United States
    I bought two about 4 months ago and they have worked great. I recieved one for ExtremeDeals or w/e it is called and one from RealHotStuff. One has a spring loaded sd slot and the other does not. So to answer your question no problems for me [​IMG]
     
  5. Ireland 1

    Ireland 1 GBAtemp Advanced Fan

    Member
    666
    6
    Sep 21, 2008
    No problem with mine i got it from Gamebygame, it is spring loaded.
     
  6. Nimbus
    OP

    Nimbus sudo /usr/bin make-me-a-coffee --nosugar --cream=1

    Member
    913
    40
    Nov 1, 2009
    Probably being lazy.
    So neither of you two above have any issues with saving on yours?

    Even though I don't have mine yet, I'm already convinced that the save issues cannot be hardware-based.
     
  7. OncleJulien

    OncleJulien tool of peers

    Member
    1,170
    263
    Apr 6, 2009
    United States
    Los Angeles
    i received mine from dx two weeks ago - immediately experienced all the saving issues reported here until i backed off to the previous version of the official firmware. no combination of akaio, official release, formatting, etc worked until i downgraded the firmware.

    not optimal, but functional.
     
  8. Nimbus
    OP

    Nimbus sudo /usr/bin make-me-a-coffee --nosugar --cream=1

    Member
    913
    40
    Nov 1, 2009
    Probably being lazy.
    Alright, so if the save issues are still present even till now, even with people getting multiples, then that tells me that it's a software issue.

    Could someone list for me a working combination of either 1.5 and the official firmware, or a working combination of 1.5.1 and the official firmware.
     
  9. omgpwn666

    omgpwn666 Guy gamer and proud!

    Member
    2,547
    306
    Jun 14, 2008
    United States
    Florida
    I got a Acekard 2i for my brother recently, last month actually and its perfect, already set up for 1.4 also.
    I got mine along while back so of course that one works.
     
  10. zcmack

    zcmack Member

    Newcomer
    14
    2
    Jan 5, 2010
    United States
    same story here. it would be nice to setup a group of people and have them perform the exact same tests using the same roms and firmware to determine at which release functionality of sav is lost.

    at least then we could hope to fork the code and add all the patches that allow playing the more popular/recent games.


    my acekard is spring loaded, FWIW.
     
  11. Nimbus
    OP

    Nimbus sudo /usr/bin make-me-a-coffee --nosugar --cream=1

    Member
    913
    40
    Nov 1, 2009
    Probably being lazy.
    Well, as soon as mine comes I'll test it.

    I still tell you all, based upon what I have read and gathered about this, this issue has a high probability of being caused by AKAIO.

    1.5 + Official Firmware worked...right?
    1.5.1 + Official Firmware didn't work

    If it were the actual card itself, then wouldn't even an older official firmware fail to work with these sav's?

    In fact, if anyone has a spare micro SD to try this.


    Try using the official firmware with a save you already have, so that it generates a .nds.sav then have AKAIO change it from .nds.sav to just a .sav.

    I have a hunch that trick may work, but without my Acekard, which again hasn't arrived, I cannot test this.


    Edit: I just thought of another thing.

    Has anyone tried doing this

    1. Copy only AKAIO 1.5.1 and it's loaders and such to your microSD
    2. Copy only your games over.
    3. Let AKAIO generate a save for each of your games.
    4. Replace those saves generated by AKAIO with your old save
    5. Test to see if it works
     
  12. snake218

    snake218 Member

    Newcomer
    19
    1
    Jan 11, 2010
    United States
    Got an acekard 2i like 3 weeks ago from dealextreme, its spring loaded, and btw it seems the micro SD USB reader is not included in the package anymore.... anyone else? Using akaio 1.5.1 and all working great so far
     
  13. zcmack

    zcmack Member

    Newcomer
    14
    2
    Jan 5, 2010
    United States
    akaio 1.5 does not work for me, nor does the most recent official firmware.. as a matter of fact, that is why i'm using the official firmware 4.08. some in-between versions may work but that is where i have had the most consistency. i have tried with different microsd cards (i've used transcend, kingston and sandisk of varying sizes / speeds).

    i too thought that "tricking" akaio to use already created sav files would work.. it doesn't. most games it does not recognize any file is present, even if it shows in the file browser. it simply overwrites the file with a fresh sav (tried both extensions .sav and .nds.sav)

    the most success i had was with mario kart. it was able to detect that there was a sav file present (created by v 4.08 of the official firmware) however, when it tried to save it simply overwrote that file with a new .sav file that is essentially null. on the next load of the game, it acted like no .sav was present.

    your logic is sound.. but i've been there and back. somethings gotta be different about these chips.


    i know cogitech said he took apart one of his defective acekards.. any way we could do a hardware component check vs. an older card?
     
  14. OncleJulien

    OncleJulien tool of peers

    Member
    1,170
    263
    Apr 6, 2009
    United States
    Los Angeles
    is yours from dx? i'm a week into waiting for a response on my 'bad batch' replacement query...i'm not sure if i'll get a response to be honest.
     
  15. DaMummy

    DaMummy GBAtemp Maniac

    Member
    1,265
    1
    Dec 22, 2007
    United States
    Cleveland
    there no bad batch, its a software thing, you want proof? my acekard rpg that ive had for 2-3 years or however old it is has always been working perfectly, until i upgraded to akaio 1.5.1 and now with it i have all the same save problems that others are reporting, same with mario kart, will read save but wont write, and i ordered a new ak2.1 for my sister on dec 5th or so, recieved it jan 5th or so, loaded up akaio 1.5.1 onto it and its works perfectly except for some internal names showing up as japanese, even all the saves i transferred from her old TopToy have been loading and saving w/o any problems. so just wait it out, it will be fixed sooner then later, we can always depend on drunken akaio team


    and dx has sent me the microsdhc usb adapter with ak2.1 even though i dont remember ordering the one with it :|
     
  16. zcmack

    zcmack Member

    Newcomer
    14
    2
    Jan 5, 2010
    United States
    thanks DaMummy, you're the first "experienced" user that has reported this problem AFAIK. Does AKAIO 1.5 work for you? In my case at least, I have to go back much farther to get a working version.

    I have faith that as long as the problem stays visible, it will be resolved. I try to keep my frequent posting to already established threads as to not cause clutter.



    OncleJulien: yes, my ak2 was from dealextreme (i actually ordered two, both experiencing the same issues)
     
  17. Nimbus
    OP

    Nimbus sudo /usr/bin make-me-a-coffee --nosugar --cream=1

    Member
    913
    40
    Nov 1, 2009
    Probably being lazy.
    Well folks, just to play it safe.

    I have re-preped my files. Now the _aio and ak4menu.nds files on my external hard drive in my Acekard folder are now from 1.5.

    I tell you all again, there is no way that this can logically be a hardware issue. If you didn't notice the issues only started when people updated from AKAIO 1.5 to 1.5.1. The hardware itself most likely doesn't give a rats you-know-what as to which loader or firmware you are running.

    One other quick question. Could I possibly use the loaders from 1.5.1 on the firmware for 1.5? Also how can I have multiple loaders running at the same time.

    Spirit tracks wise, I can always use my Legitimate Cart (Yes my game was actually ripped legitimately using my Max Media dock w/ Max Overload) or my M3DS Real. To be honest, my Spirit Tracks save is already 1 MB, not sure if that makes a bit of difference.

    You know whats interesting though...DaMummy loaded 1.5.1 clean onto his new Acekard2, and apparently from what he says saves do work.

    I guess the real test for me will be to see if my M3DS Real saves work with 1.5.1. If I at some point load 1.5.1 onto a spare SD card as a clean installation, then I should in theory have the same outcome as DaMummy, right?
     
  18. Aksen

    Aksen Newbie

    Newcomer
    7
    0
    Jan 10, 2010
    United States
    I've got the save issues as well. Mine is an Acekard 2.1 like most others i've heard of, arrived from DealExtreme on Jan 7th. I'm running 4.08 firmware, nothing else works.

    The first thing I did with it was load akaio 1.5.1... I couldn't tell ya if it was good or bad before that.

    With AKAIO, it has issues with saves.

    With current official firmware, it will load blank screens insead of the game (ex. New Super Mario Bros music plays, i get a white screen)
     
  19. david432111

    david432111 GBAtemp Advanced Fan

    Member
    859
    0
    Jul 17, 2008
    Denmark
    Maybe the newest batch has some slightly different hardware than the old ones?
     
  20. rody2k6

    rody2k6 GBAtemp Regular

    Member
    224
    2
    Dec 30, 2009
    United States
    You see I am also planning to buy a Acekard 2i from http://www.realhotstuff.com/-c-125_102.html and after reading this topic, I must say I am a bit afraid.

    So the save problems are related to the UN-official firmware right? and if I use the official firmware (does it come already in a CD or do I download it?) will it load up fine?

    And since most of my ROMs I have no played yet (waiting for the card) I don't have saves to carry over, I only have 1 game that I am well into it that I would need the save to be carried over to the card..and is that possible?

    This topic really helped me btw